> ## Documentation Index
> Fetch the complete documentation index at: https://docs.impulsodigital.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Ver un mensaje

> El mensaje con su estado (enviado, entregado, leído o fallido).



## OpenAPI

````yaml /openapi.yaml get /messages/{id}
openapi: 3.1.0
info:
  title: API de Impulso Digital
  version: '1.0'
  description: >
    Conecta tu CRM, tu tienda o un asistente de IA a una cuenta de Impulso
    Digital: envía mensajes y plantillas por WhatsApp, lee conversaciones,
    maneja contactos y mensajes programados, y recibe avisos (webhooks) de lo
    que pasa en la cuenta.
  contact:
    name: Impulso Digital
    url: https://impulsodigital.app
    email: soporte@impulsodigital.app
servers:
  - url: https://api.impulsodigital.app/v1
    description: Producción
security:
  - llave: []
tags:
  - name: Cuenta
  - name: Mensajes
  - name: Conversaciones
  - name: Contactos
  - name: Plantillas
  - name: Programados
  - name: Avisos
paths:
  /messages/{id}:
    get:
      tags:
        - Mensajes
      summary: Ver un mensaje
      description: El mensaje con su estado (enviado, entregado, leído o fallido).
      parameters:
        - $ref: '#/components/parameters/Id'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/Message'
        '404':
          $ref: '#/components/responses/Error'
components:
  parameters:
    Id:
      name: id
      in: path
      required: true
      schema:
        type: string
  schemas:
    Message:
      type: object
      properties:
        id:
          type: string
        conversation_id:
          type: string
        direction:
          type: string
          enum:
            - inbound
            - outbound
        from:
          type: string
          enum:
            - contact
            - agent
            - team
          description: 'Quién lo escribió: el cliente, el agente de IA o alguien del equipo.'
        type:
          type: string
          examples:
            - text
            - image
            - audio
            - video
            - document
            - location
        text:
          type:
            - string
            - 'null'
        media_url:
          type:
            - string
            - 'null'
        reply_to:
          type:
            - string
            - 'null'
          description: Id del mensaje que cita.
        status:
          type: string
          enum:
            - received
            - sent
            - delivered
            - read
            - failed
        error:
          type:
            - string
            - 'null'
        timestamp:
          type: string
          format: date-time
        delivered_at:
          type:
            - string
            - 'null'
          format: date-time
        read_at:
          type:
            - string
            - 'null'
          format: date-time
    Error:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - code
            - message
          properties:
            code:
              type: string
              examples:
                - INSUFFICIENT_SCOPE
            message:
              type: string
              examples:
                - Esta llave no tiene el permiso «mensajes».
            details:
              type: object
              additionalProperties: true
  responses:
    Error:
      description: Error (ver `error.code`).
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    llave:
      type: http
      scheme: bearer
      description: >-
        Tu llave de API: `Authorization: Bearer imp_live_…`. También se acepta
        la cabecera `X-API-Key`.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.